package cn.com.qmth.examcloud.common.dto.marking;

import java.util.Date;
import java.util.Set;

public class MarkResultDTO extends IdEntity {

	private Long userId;

	private Long markRangeId;

	private Long studentPaperId;

	private String markedOn;

	private Set<ResultItem> resultItems;
	
    private Double score;
    
    private String studentId;

	private String tag;
	
    private String studentName;
    
    private String studentCode;
    
    private String courseCode;
    
    private String orgCode;
    
    private String paperType;
    
    private String paperId;
    
    private String courseName;
    
    private String orgName;
    
    private String userName;
    
	private Double objectiveScore;
	
	private Double totalScore;
	
    private StudentPaper studentPaper;
    
    private Long workId;

	private String specialtyName;

	private String specialtyCode;
	
	/**
	 * 学生答卷的主观题HTML
	 */
	private String studentSubjectiveHtml;

	private String markRemark;
	
	public MarkResultDTO() {
	}

	public MarkResultDTO(StudentPaper studentPaper, MarkTaskDTO markTask,
			Set<ResultItem> resultItems) {
		this.studentPaper = studentPaper;
		this.userId = markTask.getUserId();
		this.markRangeId = markTask.getMarkRangeId();
		this.resultItems = resultItems;
		this.markedOn = String.valueOf(new Date().getTime());
	}

	public String getMarkedOn() {
		return markedOn;
	}

	public void setMarkedOn(String markedOn) {
		this.markedOn = markedOn;
	}

	public Set<ResultItem> getResultItems() {
		return resultItems;
	}

	public void setResultItems(Set<ResultItem> resultItems) {
		this.resultItems = resultItems;
	}

	public StudentPaper getStudentPaper() {
		return studentPaper;
	}

	public void setStudentPaper(StudentPaper studentPaper) {
		this.studentPaper = studentPaper;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getMarkRangeId() {
		return markRangeId;
	}

	public void setMarkRangeId(Long markRangeId) {
		this.markRangeId = markRangeId;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public String getStudentId() {
		return studentId;
	}

	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

	public Long getStudentPaperId() {
		return studentPaperId;
	}

	public void setStudentPaperId(Long studentPaperId) {
		this.studentPaperId = studentPaperId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Long getWorkId() {
		return workId;
	}

	public void setWorkId(Long workId) {
		this.workId = workId;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getSpecialtyCode() {
		return specialtyCode;
	}

	public void setSpecialtyCode(String specialtyCode) {
		this.specialtyCode = specialtyCode;
	}

	public String getStudentSubjectiveHtml() {
		return studentSubjectiveHtml;
	}

	public void setStudentSubjectiveHtml(String studentSubjectiveHtml) {
		this.studentSubjectiveHtml = studentSubjectiveHtml;
	}

	public String getMarkRemark() {
		return markRemark;
	}

	public void setMarkRemark(String markRemark) {
		this.markRemark = markRemark;
	}
}
