package cn.com.qmth.examcloud.common.dto.marking;




/**
 * 评卷任务
 */
public class MarkTaskDTO extends IdEntity {

    private Long userId;
    private String userName;
    private String userLoginName;
    private Long workId;
    private Long examId;
    private Long markRangeId;
    private String markRangeName;
    private String paperId;
    private String paperName;
    private String paperType;
    private String courseName;
    private String courseCode;
    /**
     * 限制数量
     */
    private Long limitCount;
    
	private Long markedCount;
	private Long leftCount;
	private Long totalCount;
	
	private Long[] userIds;
	
	private Double maxScore;
	private Double minScore;
	private Double avgScore;
	private Double stdDev;

    public MarkTaskDTO() {
    }
    
    public MarkTaskDTO(Long userId,Long workId,Long markRangeId) {
    	this.markRangeId = markRangeId;
    	this.userId = userId;
    	this.workId = workId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getMarkRangeId() {
        return markRangeId;
    }

    public void setMarkRangeId(Long markRangeId) {
        this.markRangeId = markRangeId;
    }

    public Long getLimitCount() {
        return limitCount;
    }

    public void setLimitCount(Long limitCount) {
        this.limitCount = limitCount;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MarkTaskDTO markTask = (MarkTaskDTO) o;

        if (getUserId() != null ? !getUserId().equals(markTask.getUserId()) : markTask.getUserId() != null)
            return false;
        return getMarkRangeId() != null ? getMarkRangeId().equals(markTask.getMarkRangeId()) : markTask.getMarkRangeId() == null;

    }

    @Override
    public int hashCode() {
        int result = getUserId() != null ? getUserId().hashCode() : 0;
        result = 31 * result + (getMarkRangeId() != null ? getMarkRangeId().hashCode() : 0);
        return result;
    }

	public Long getMarkedCount() {
		return markedCount;
	}

	public void setMarkedCount(Long markedCount) {
		this.markedCount = markedCount;
	}

	public Long getLeftCount() {
		return leftCount;
	}

	public void setLeftCount(Long leftCount) {
		this.leftCount = leftCount;
	}

	public Long getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Long totalCount) {
		this.totalCount = totalCount;
	}

	public String getMarkRangeName() {
		return markRangeName;
	}

	public void setMarkRangeName(String markRangeName) {
		this.markRangeName = markRangeName;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public String getPaperName() {
		return paperName;
	}

	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}

	public Long[] getUserIds() {
		return userIds;
	}

	public void setUserIds(Long[] userIds) {
		this.userIds = userIds;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserLoginName() {
		return userLoginName;
	}

	public void setUserLoginName(String userLoginName) {
		this.userLoginName = userLoginName;
	}

	public Double getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	}

	public Double getMinScore() {
		return minScore;
	}

	public void setMinScore(Double minScore) {
		this.minScore = minScore;
	}

	public Double getAvgScore() {
		return avgScore;
	}

	public void setAvgScore(Double avgScore) {
		this.avgScore = avgScore;
	}

	public Double getStdDev() {
		return stdDev;
	}

	public void setStdDev(Double stdDev) {
		this.stdDev = stdDev;
	}

}
